#
# TODO:
#	- update Polish description, current is outdated (it is not only a
#	karaoke game any more)
Summary:	Performous - The All-in-One Music Game
Summary(pl.UTF-8):	Performous - wiele gier muzycznych w jednej
Name:		performous
Version:	0.6.1
Release:	19
License:	GPL v2+
Group:		Applications
Source0:	http://downloads.sourceforge.net/performous/Performous-%{version}-Source.tar.bz2
# Source0-md5:	451a759de77984b5a699e91107fe52e2
Patch0:		%{name}-ffmpeg.patch
Patch1:		%{name}-libpng15.patch
Patch2:		cmake.patch
Patch3:		boost-1.50.patch
Patch4:		glib2.32.patch
URL:		http://performous.org/
BuildRequires:	ImageMagick-c++-devel
BuildRequires:	SDL-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	boost-devel
BuildRequires:	cmake >= 2.6
BuildRequires:	ffmpeg-devel
BuildRequires:	gettext-devel
BuildRequires:	glew-devel
BuildRequires:	glibmm-devel
BuildRequires:	help2man
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel
BuildRequires:	libsigc++-devel
BuildRequires:	libxml++-devel
BuildRequires:	opencv-devel
BuildRequires:	pango-devel
BuildRequires:	pkgconfig
BuildRequires:	portaudio-devel
Suggests:	%{name}-tools = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An open-source karaoke, band and dancing game where one or more
players perform a song and the game scores their perform ances.
Supports songs in UltraStar, Frets on Fire and StepMania formats.
Microphones and instruments from SingStar, Guit ar Hero and Rock Band
as well as some dance pads are autodetected.

%description -l pl.UTF-8
O ile Performous można zaklasyfikować jako program do karaoke, to jest
czymś o wiele więcej. Zamiast tylko wyświetlać tekst, wyświetlane są
także nuty, a wykonanie jest oceniane w oparciu o to, jak dobrze
pasuje do nut. W przeciwieństwie do innych gier tego gatunku podawana
jest także dokładna wysokość śpiewanych tonów, więc można zobaczyć, co
wykonuje się źle i (względnie) łatwo się poprawić.

Większość dostępnych piosenek zawiera także oryginalne wokale, zaś
wersje karaoke są dość rzadkie.

Dla śpiewających niezbyt dobrze dostępny jest tryb karaoke. W tyb
trybie wyświetlane są tylko słowa i nie ma nut ani oceniania.

%package tools
Summary:	Performous tools
Summary(pl.UTF-8):	Narzędzia do programu Performous
Group:		Applications

%description tools
Several utilities for converting data files for Performous.

%description tools -l pl.UTF-8
Zestaw narzędzi do konwersji danych dla programu Performous.

%prep
%setup -qn Performous-%{version}-Source
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
mkdir build

%build
cd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_CXX_FLAGS_RELEASE="%{rpmcxxflags}" \
	-DCMAKE_DEBUG_FLAGS_RELEASE="%{debugcflags}" \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install docs/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc docs/{Authors,TODO,instruments}.txt
%attr(755,root,root) %{_bindir}/performous
%{_datadir}/games/%{name}
%{_mandir}/man6/performous.6*
%{_desktopdir}/performous.desktop
%{_pixmapsdir}/performous.xpm

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gh_*_decrypt
%attr(755,root,root) %{_bindir}/itg_pck
%attr(755,root,root) %{_bindir}/ss_*
%{_mandir}/man1/gh_*_decrypt.1*
%{_mandir}/man1/ss_*.1*
%changelog
* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> b74c6e0
Fixed lib64 and some other cmake problems
Build with glib 2.32 and boost 1.50
Release 19

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 602db93
- release 18

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 383cf36
- new

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> d1cb334
- mkdir build in prep (fixes short-circuit builds)
- release 17 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 09e0b09
- release 16

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 73cd9ee
- release 15

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c845c75
- release 14

* Sun Dec 25 2011 Jacek Konieczny <jajcus@pld-linux.org> de6d16d
- summary and English description updated (this is not a karaoke only game any more)
- Release: 13

* Thu Nov 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 040ac4f
- release 12

* Thu Nov 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ec30959
- release 11

* Sun Sep 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cb11429
- rel 10; fix build with new ffmpeg

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 028c4a0
- release 9

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dbd281c
- release 8

* Sun Jul 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c8cb6c7
- release 7

* Mon Jun 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8e6b441
- release 6

* Sun May 08 2011 Jakub Bogusz <qboosh@pld-linux.org> c411e69
- pl
- force boost::filesystem v2 for now (code not ready for v3)
- release 5

* Wed May 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b11d45
- release 4

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> a22a8e1
- dropped unused BR: pulseaudio-devel

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 2330489
- BR: opencv-devel, portaudio-devel

* Fri Dec 17 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e09a1de
- release 3

